import request from '@/utils/request'


export function queryPage(query) {
    return request({
        url: '/system/storeManage/queryPage',
        method: 'get',
        params: query
    })
}

export function getStoreGoodsListByShopId(query) {
    return request({
        url: '/system/storeManage/getStoreGoodsListByShopId',
        method: 'get',
        params: query
    })
}

export function storeManageSave(query) {
    return request({
        url: '/system/storeManage/save',
        method: 'post',
        data: query
    })
}


export function storeManageInfo(query) {
    return request({
        url: '/system/storeManage/info/' + query,
        method: 'get',
    })
}


export function storeManageEdit(query) {
    return request({
        url: '/system/storeManage/edit',
        method: 'post',
        data: query
    })
}
export function storeManageRemove(query) {
    return request({
        url: '/system/storeManage/remove/' + query,
        method: 'get',
    })
}

export function storeManageRemoveproduct(query) {
    return request({
        url: '/system/storeManage/romeveStoreGoodsById/' + query,
        method: 'get',
    })
}


export function storeManageCheck(query) {
    return request({
        url: '/system/storeManage/check/' + query,
        method: 'get',
    })
}


export function outboundManageQueryPage(query) {
    return request({
        url: '/system/outboundManage/queryPage',
        method: 'get',
        params: query
    })
}

export function queryStoreOdd(query) {
    return request({
        url: '/system/storeManage/queryStoreOdd',
        method: 'get',
        params: query
    })
}


export function outboundManageSave(query) {
    return request({
        url: '/system/outboundManage/save',
        method: 'post',
        data: query
    })
}

export function outboundManageInfo(query) {
    return request({
        url: '/system/outboundManage/info',
        method: 'get',
        params: query
    })
}



export function outboundManageEdit(query) {
    return request({
        url: '/system/outboundManage/edit',
        method: 'post',
        data: query
    })
}

export function queryOutboundOddByStoreOdd(query) {
    return request({
        url: '/system/outboundManage/queryOutboundOddByStoreOdd',
        method: 'get',
        params: query
    })
}


export function statisticsPrice(query) {
    return request({
        url: '/system/outboundStoreSerial/statisticsPrice',
        method: 'get',
        params: query
    })
}

export function outboundStoreSerialqueryPage(query) {
    return request({
        url: '/system/outboundStoreSerial/queryPage',
        method: 'get',
        params: query
    })
}

export function outboundStoreSerialStatistics(query) {
    return request({
        url: '/system/outboundStoreSerial/outboundStoreSerialStatistics',
        method: 'get',
        params: query
    })
}

export function queryPageDetail(query) {
    return request({
        url: '/system/outboundStoreSerial/queryPageDetail',
        method: 'get',
        params: query
    })
}


export function queryShelfLife(query) {
    return request({
        url: '/system/storeManage/queryShelfLife',
        method: 'get',
        params: query
    })
}



export function storeManageExport(query) {
    return request({
        url: '/system/storeManage/export',
        method: 'post',
        data: query
    })
}


export function getSkuMsgBySpuId(query) {
    return request({
        url: '/system/storeManage/getSkuMsgBySpuId/' + query,
        method: 'get',
        data: query
    })
}